Skip to main content
Call us
Phone numbers and hours
Help Center

Explore our online help resources

Help

WordPress Help

Make your WordPress version private with the Sucuri Security plugin

Keeping your WordPress version private is important if you don’t regularly update your website to the latest version. Older versions of WordPress can have vulnerabilities displayed in the changelog, and therefore they can be easily targeted by malicious visitors. We recommend keeping your WordPress website up to date.

Required: You must install the Sucuri Security plugin before you follow these steps.
  1. Log in to WordPress.
  2. In the left-hand menu, select Sucuri Security > Settings.
  3. Select the Hardening tab.
  4. Find the section labled Remove WordPress Version.
  5. If the section is red, select Apply Hardening. If it’s green, the hardening is already applied.

Note: If you can't apply hardening for this feature, it may already be handled by your hosting platform.

Related steps

Protect your website further by activating the other Sucuri Security options:

More info

Community Related

Julianm64's Avatar
Sucuri "Core WordPress Files Were Modified"

1 Replies

Last posted 8 months ago.

Sazzles's Avatar
Server PHP

2 Replies

Last posted about 3 years ago.

sepro's Avatar
REALLY SIMPLE SSL SETTINGS and MANAGED WORDPRESS

4 Replies

Last posted almost 3 years ago.

dauchanviet's Avatar
Wordpress security - plugin

1 Replies

Last posted over 2 years ago.

Don't see what you are looking for? Search the Community